org.opengis.cite.ogcapifeatures10.conformance

## Class CommonDataFixture

- java.lang.Object
- - org.opengis.cite.ogcapifeatures10.conformance.CommonFixture
  - - org.opengis.cite.ogcapifeatures10.conformance.CommonDataFixture

- Direct Known Subclasses:
    AbstractDiscoveryCollections, AbstractFeatures, Feature, FeatureCollection, FeatureCollections

      public class CommonDataFixture
      extends CommonFixture

  Author:
    Lyn Goltz

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `noOfCollections`

    - ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

      `requestLoggingFilter, responseLoggingFilter, rootUri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonDataFixture()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<String>` | `createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures()`
    `protected List<String>` | `createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures(Map<String,Object> linkToSelf)`
    `protected List<String>` | `createListOfMediaTypesToSupportForOtherResources(Map<String,Object> linkToSelf)`
    `com.reprezen.kaizen.oasparser.model3.OpenApi3` | `getApiModel()`
    `void` | `noOfCollections(org.testng.ITestContext testContext)`
    `void` | `requirementClasses(org.testng.ITestContext testContext)`
    `void` | `retrieveApiModel(org.testng.ITestContext testContext)`

    - ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

      `clearMessages, getRequest, getResponse, init, initCommonFixture`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### noOfCollections

          protected int noOfCollections

  - ### Constructor Detail

    - #### CommonDataFixture

          public CommonDataFixture()

  - ### Method Detail

    - #### requirementClasses

          public void requirementClasses(org.testng.ITestContext testContext)

    - #### noOfCollections

          public void noOfCollections(org.testng.ITestContext testContext)

    - #### retrieveApiModel

          public void retrieveApiModel(org.testng.ITestContext testContext)

    - #### getApiModel

          public com.reprezen.kaizen.oasparser.model3.OpenApi3 getApiModel()

    - #### createListOfMediaTypesToSupportForOtherResources

          protected List<String> createListOfMediaTypesToSupportForOtherResources(Map<String,Object> linkToSelf)

    - #### createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures

          protected List<String> createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures()

    - #### createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures

          protected List<String> createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures(Map<String,Object> linkToSelf)

Copyright © 2023 Open Geospatial Consortium. All rights reserved.